Customers
Manage customer accounts for external collaborators.
Customers represent external collaborators who can access specific boards with limited permissions. They can view and interact with tickets assigned to them.
List Customers
GET /api/v1/customersQuery Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| page | number | No | Page number (default: 1) |
| limit | number | No | Items per page (default: 20) |
| search | string | No | Search by name or email |
Example Response
{
"data": [
{
"id": "cst_abc123",
"name": "Client Corp",
"email": "[email protected]",
"phone": "+1-555-0123",
"isArchived": false,
"createdAt": "2025-01-15T10:00:00Z"
}
],
"total": 8,
"page": 1,
"pageSize": 20,
"totalPages": 1
}Create Customer
POST /api/v1/customersPermission required: members:edit
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| name | string | Yes | Customer name (max 200 characters) |
| string | No | Customer email | |
| phone | string | No | Customer phone (max 50 characters) |
Example Request
{
"name": "Client Corp",
"email": "[email protected]",
"phone": "+1-555-0123"
}Get Customer
GET /api/v1/customers/{customerId}Returns details for a specific customer.
Update Customer
PATCH /api/v1/customers/{customerId}Permission required: members:edit
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| name | string | No | Customer name |
| string | No | Customer email | |
| phone | string | No | Customer phone |
Archive Customer
POST /api/v1/customers/{customerId}/archivePermission required: members:edit
Archives the customer, hiding them from active lists without deleting data.
Delete Customer
DELETE /api/v1/customers/{customerId}Permission required: members:edit
Permanently deletes the customer. Returns 204 No Content.